Foreman - Bug #10236

Wrong error message when one attempts to create second primary/provision interface via API
04/22/2015 08:29 AM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: yifat makias
Category: API
Target version:
Difficulty: Fixed in Releases: 3.0.0
Triaged: Yes Found in Releases:
Bugzilla link: 1720664 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8592
Description

Attempt to create second primary or provision interface via API fails correctly but returns wrong messages:

Primary host already has provision interface
Provision host already has provision interface

422 Unprocessable Entity
{

"error" => {
"id" => 15,
"errors" => {
"interfaces.primary" => [
[0] "host already has primary interface"
]I
"interfaces.name" => [

[0] "has already been taken"

1,

"interfaces.provision" => [
[0] "host already has provision interface"
] 14
"interfaces.mac" => [

[0] "can't be blank"

by

"full_messages" => [
[0] "Primary host already has primary interface",
[1] "Name has already been taken",
[2] "Provision host already has provision interface",
[3] "Mac can't be blank"

}

As the returned hash demonstrates, it is probably caused by wrong Rails' synthesis into full messages.

Associated revisions

Revision 416a52e8 - 06/16/2021 08:40 AM - yifat makias

Fixes #10236 - Fix wrong error message when creating scond primary/provision interface

History

#1 - 09/05/2019 08:27 AM - Marek Hulan
- Bugzilla link set to 1720664

#2 - 05/24/2021 12:27 PM - Leos Stejskal
- Triaged changed from No to Yes

#3 - 06/14/2021 01:40 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to yifat makias

- Pull request https://github.com/theforeman/foreman/pull/8592 added

#4 - 06/16/2021 08:40 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#5 - 06/16/2021 08:40 AM - The Foreman Bot
- Fixed in Releases deleted (3.0.0)

#6 - 06/16/2021 09:09 AM - yifat makias
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|416a52e83860fdf51869385754b66a67121d2d43.

#7 - 06/22/2021 09:16 AM - Tomer Brisker
- Fixed in Releases 3.0.0 added
